﻿--
-- Script was generated by Devart dbForge Studio 2019 for MySQL, Version 8.1.45.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 26/07/2019 7:37:36
-- Server version: 5.5.5-10.1.34-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--

create database tienda;

SET NAMES 'utf8';

--
-- Set default database
--
USE tienda;

--
-- Drop table `producto`
--
DROP TABLE IF EXISTS producto;

--
-- Drop table `categoria`
--
DROP TABLE IF EXISTS categoria;

--
-- Set default database
--
USE tienda;

--
-- Create table `categoria`
--
CREATE TABLE categoria (
  id_cat INT(11) NOT NULL AUTO_INCREMENT,
  descripcion VARCHAR(30) NOT NULL,
  PRIMARY KEY (id_cat)
)
ENGINE = INNODB,
AUTO_INCREMENT = 7,
AVG_ROW_LENGTH = 2730,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `producto`
--
CREATE TABLE producto (
  cod_pro INT(11) NOT NULL AUTO_INCREMENT,
  id_cat INT(11) NOT NULL,
  descripcion VARCHAR(30) DEFAULT NULL,
  precio VARCHAR(10) NOT NULL,
  Stock VARCHAR(10) NOT NULL,
  fecha TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (cod_pro)
)
ENGINE = INNODB,
AUTO_INCREMENT = 6,
AVG_ROW_LENGTH = 3276,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `idtip` on table `producto`
--
ALTER TABLE producto 
  ADD INDEX idtip(id_cat);

--
-- Create foreign key
--
ALTER TABLE producto 
  ADD CONSTRAINT producto_ibfk_1 FOREIGN KEY (id_cat)
    REFERENCES categoria(id_cat) ON DELETE NO ACTION ON UPDATE NO ACTION;

-- 
-- Dumping data for table categoria
--
INSERT INTO categoria VALUES
(1, 'bebidas'),
(2, 'jugos'),
(3, 'limpieza'),
(4, 'tragos'),
(5, 'abarrotes'),
(6, 'electronica');

-- 
-- Dumping data for table producto
--
INSERT INTO producto VALUES
(1, 1, 'pepsicola', '2.00', '20', NULL),
(2, 3, 'ron', '15.00', '16', NULL),
(3, 3, 'ariel', '7.00', '10', NULL),
(4, 5, 'atun', '3.00', '20', NULL),
(5, 6, 'Refrigeradora', '1200', '4', NULL);

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;